Bug 193997 - [maintainer update] x11-fm/doublecmd: update to version 0.5.11
Summary: [maintainer update] x11-fm/doublecmd: update to version 0.5.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-28 17:02 UTC by Beñat Gonzalez Etxepare
Modified: 2014-10-13 17:05 UTC (History)
1 user (show)

See Also:


Attachments
Patch to version 0.5.11 (7.40 KB, patch)
2014-09-28 17:02 UTC, Beñat Gonzalez Etxepare
no flags Details | Diff
Patch to version 0.5.11 (5.95 KB, patch)
2014-10-08 19:14 UTC, Beñat Gonzalez Etxepare
no flags Details | Diff
poudriere testport (258.61 KB, text/plain)
2014-10-08 19:17 UTC, Beñat Gonzalez Etxepare
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Beñat Gonzalez Etxepare 2014-09-28 17:02:43 UTC
Created attachment 147760 [details]
Patch to version 0.5.11

Changes:
- Update to version 0.5.11. Changelog:
http://doublecmd.sourceforge.net/mantisbt/changelog_page.php?version_id=30
- Use @dir instead of deprecated @dirrm
- Fix small typo in file system plugins description

Patch tested in RedPorts (rev. 32504):
https://redports.org/buildarchive/20140928144315-72375/

I am not sure about the leftovers in RedPorts. My tests with poudriere testport didn't show anything wrong, and the same leftovers are shown in different ports in RedPorts.
Comment 1 John Marino freebsd_committer 2014-10-08 18:24:23 UTC
You need to remove all the "@dirrm" lines actually.  @dirrm and @dirrmtry, completely.
Don't worry about redports, it's useless for QA.  Just attach your poudriere logs.
Comment 2 Beñat Gonzalez Etxepare 2014-10-08 19:14:47 UTC
Created attachment 148108 [details]
Patch to version 0.5.11
Comment 3 Beñat Gonzalez Etxepare 2014-10-08 19:17:23 UTC
Created attachment 148109 [details]
poudriere testport
Comment 4 Beñat Gonzalez Etxepare 2014-10-08 19:20:03 UTC
Thanks John! I have removed all references to @dirrm and @dirrmty in the new patch, and I have also attached my poudriere log.
Comment 5 John Marino freebsd_committer 2014-10-08 21:22:06 UTC
Perfect!  I'm moving this to patch-ready pool
Comment 6 Guido Falsi freebsd_committer 2014-10-13 17:05:04 UTC
Committed. Thanks!
Comment 7 commit-hook freebsd_committer 2014-10-13 17:05:40 UTC
A commit references this bug:

Author: madpilot
Date: Mon Oct 13 17:04:49 UTC 2014
New revision: 370795
URL: https://svnweb.freebsd.org/changeset/ports/370795

Log:
  - Update to 0.5.11
  - Fix typo in option description
  - Remove dirrms

  PR:		193997
  Submitted by:	Benat Gonzalez Etxepare <bbtruk at users.sourceforge.net>
  		(maintainer)

Changes:
  head/x11-fm/doublecmd/Makefile
  head/x11-fm/doublecmd/distinfo